package net.jolsrv2.constants;
/**
 * The class is defining the two message types used in OLSRv2 and their numeric values
 * used in message transmissions. The values of these constants are
 * at the time of writing listed as TBD in the Internet-Draft.
 * @author Andreas Schjnhaug 
 *
 */
public enum MessageTypes{
	HELLOV2 (5),
	TCV2 (6);
	  
	private final byte value;
	  
	
	/**
	 * Constructor
	 * @param value of the message type
	 */
	MessageTypes(int value){
		this.value = (byte)value;
	}
  
	
	
	/**
	 * Returns the byte value of a message type
	 * @return the byte value
	 */
	public byte byteValue(){
		return value;
	}
	  
	 

}