package net.jolsrv2.constants;
/**
 * The class is defining the TLV types used in OLSRv2, and their numeric values.
 * The values of these constants are at the time of writing listed as TBD 
 * in the Internet-Draft. 
 * @author Andreas Schjnhaug 
 *
 */
public enum TlvTypes{
	
	WILLINGNESS(2),
	VALIDITY_TIME(35),
	INTERVAL_TIME(30),
	LINK_STATUS(5),
	OTHER_IF(9),
	MPR(50),
	CONTENT_SEQ_NO(60),
	PREFIX_LENGTH(70),
	GATEWAY(80);
	  
	private final byte value;
	
	/**
	 * Constructor
	 * @param value of the TLV types
	 */
	TlvTypes(int value){
		this.value = (byte)value;
	}
	

	/**
	 * Return the byte value of a TLV
	 * @return the byte value
	 */
	public byte byteValue(){
		return value;
	}
	

	
}
