package net.jolsrv2.data;

import java.net.InetAddress;
import java.util.ArrayList;
/**
 * The class saves the parsed packet as an ArrayList of Messages
 * along with the sending IP address.
 * @author Andreas Schjnhaug
 *
 */
public class ParsedPacket extends Message{
	
	private InetAddress sendingAddress;
	private ArrayList<Message> messages;
	
	/**
	 * Constructor
	 * @param messages the parsed messages
	 * @param sendingAddress the sending IP address
	 */
	public ParsedPacket(ArrayList<Message> messages, InetAddress sendingAddress){
		this.messages = messages;
		this.sendingAddress = sendingAddress;
	}
	
	/**
	 * Returns the messages
	 * @return the messages
	 */
	public ArrayList<Message> getMessages(){
		return messages;
	}
	
	/**
	 * Return the sending IP address
	 * @return the sending IP address
	 */
	public InetAddress getSendingAddress(){
		return sendingAddress;
	}

}
