package net.jolsrv2.repository.neighbourhood;

import net.jolsrv2.CidrAddress;
/**
 * The class implements the MPR selector tuple, as specified in OLSRv2.
 * @author Andreas Schjnhaug
 *
 */
public class MprSelectorTuple {
	
    
    private CidrAddress cidrAddress;
    private long time;
    
    /**
     * Constructor
     * @param cidrAddress the CIDR address
     * @param time the time
     */
    public MprSelectorTuple(CidrAddress cidrAddress, long time){
    	this.cidrAddress = cidrAddress;
    	this.time = time;
    }
    
    /**
     * Returns the CIDR address
     * @return  the CIDR address
     */
    public CidrAddress getCAddress(){
    	return cidrAddress;
    }
    
    /**
     * Returns the time
     * @return the time
     */
    public long getTime(){
  	    return time;
    }
    
    /**
     * Sets the time
     * @param time the time
     */
    public void setTime(long time){
    	this.time = time;
    }

}

