package net.jolsrv2.repository.neighbourhood;

import java.util.ArrayList;

import net.jolsrv2.CidrAddress;

/**
 * The class implements the neighbour address association tuple, as specified in OLSRv2.
 * @author Andreas Schjnhaug
 *
 */
public class NaaTuple {
  
  private ArrayList<CidrAddress> neighbourCAddresses;
  private long time;
  
  /**
   * Constructor
   * @param neighbourCAddresses the negihbour CIDR address
   * @param time the time
   */
  public NaaTuple(ArrayList<CidrAddress> neighbourCAddresses, long time){
	  this.neighbourCAddresses = neighbourCAddresses;
	  this.time = time;
  }
  
  /**
   * Returns the CIDR addresses
   * @return the CIDR addresses
   */
  public ArrayList<CidrAddress> getCAddresses(){
	  return neighbourCAddresses;
  }
  
  /**
   * Returns the time
   * @return the time
   */
  public long getTime(){
	  return time;
  }
  
  
  

}

