package net.jolsrv2.repository.processforward;

import java.net.InetAddress;

import net.jolsrv2.constants.MessageTypes;
/**
 * The class implements the processed tuple, as specified in OLSRv2.
 * @author Andreas Schjnhaug
 *
 */
public class ProcessedTuple {
	
	
	private MessageTypes type; 
	private InetAddress address;
	private int sequenceNumber;
	private long time;
  
	/**
	 * Constructor
	 * @param type the message type
	 * @param address the IP address
	 * @param sequenceNumber the sequence number
	 * @param time the time
	 */
	public ProcessedTuple(MessageTypes type, InetAddress address, int sequenceNumber, long time){
		this.type = type;
		this.address = address;
		this.sequenceNumber = sequenceNumber;
		this.time = time;
	}
	
	/**
	 * Returns the message type
	 * @return the message type
	 */
	public MessageTypes getType(){
		return type;
	}
	/**
	 * Returns the IP address
	 * @return the IP address
	 */
	public InetAddress getAddress(){
		return address;
	}
	/**
	 * Returns the sequence number
	 * @return the sequence number
	 */
	public int getSequenceNumber(){
		return sequenceNumber;
		
	}
	/**
	 * Returns the time
	 * @return  the time
	 */
	public long getTime(){
		return time;
	}

}

