package net.jolsrv2.repository.topology;

import java.net.InetAddress;
/**
 * The class implements the ANSN history tuple, as specified in OLSRv2.
 * @author Andreas Schjnhaug
 *
 */
public class AnsnHistoryTuple {
	
	private InetAddress originatorAddress;
	int ansn;
	long time;
	
	/**
	 * Constructor
	 * @param originatorAddress the originator IP address
	 * @param ansn the ANSN
	 * @param time the time
	 */
	public AnsnHistoryTuple(InetAddress originatorAddress, int ansn,long time){
		this.originatorAddress = originatorAddress;
		this.ansn = ansn;
		this.time = time;
	}
	
	/**
	 * Returns the originator IP address
	 * @return the originator IP address
	 */
	public InetAddress getOriginatorAddress(){
		return originatorAddress;
	}
	
	/**
	 * Returns the ANSN
	 * @return the ANSN
	 */
	public int getAnsn(){
		return ansn;
	}
	
	/**
	 * Sets the ANSN
	 * @param ansn the ANSN
	 */
	public void setAnsn(int ansn){
		this.ansn = ansn;
	}
	
	/**
	 * Returns the time
	 * @return the time
	 */
	public long getTime(){
		return time;
	}
	
	/**
	 * Sets the time
	 * @param time the time
	 */
	public void setTime(long time){
		this.time = time;
	}

}
